--@Author: 
--@Web: 

BioHeizkraftWerkPlaceable = {};
BioHeizkraftWerkPlaceable_mt = Class(BioHeizkraftWerkPlaceable, Placeable);
InitObjectClass(BioHeizkraftWerkPlaceable, "BioHeizkraftWerkPlaceable");

function BioHeizkraftWerkPlaceable:new(isServer, isClient, customMt)
    local self = Placeable:new(isServer, isClient, BioHeizkraftWerkPlaceable_mt);
    registerObjectClassName(self, "BioHeizkraftWerkPlaceable");
    return self;
end;

function BioHeizkraftWerkPlaceable:delete()
    removeTrigger(self.SprayerFillTriggerId);
    unregisterObjectClassName(self);
    BioHeizkraftWerkPlaceable:superClass().delete(self);
end;

function BioHeizkraftWerkPlaceable:deleteFinal()
    BioHeizkraftWerkPlaceable:superClass().deleteFinal(self);
end;

function BioHeizkraftWerkPlaceable:load(xmlFilename, x,y,z, rx,ry,rz, moveMode, initRandom)
    if not BioHeizkraftWerkPlaceable:superClass().load(self, xmlFilename, x,y,z, rx,ry,rz, moveMode, initRandom) then
        return false;
    end;
    local xmlFile = loadXMLFile("TempXML", xmlFilename);
    self.SprayerFillTriggerId = Utils.indexToObject(self.nodeId, getXMLString(xmlFile, "placeable.FillTrigger#index"));
    TipTrigger:onCreate(self.SprayerFillTriggerId);
    delete(xmlFile);
    return true;
end;

function BioHeizkraftWerkPlaceable:update(dt)

	--- Inicio Funcion AutoSave
	g_currentMission.missionDynamicInfo.autoSave = true;
	g_currentMission.autoSaveInterval = 1000000 ;
	--- Fin Funcion AutoSave

end;
registerPlaceableType("BioHeizkraftWerkPlaceable", BioHeizkraftWerkPlaceable);

--- Inicio Funcion Consumos Normales
print("Cargado Funcion Consumos Normales");
HiredConsumesResources = {}

function HiredConsumesResources.getIsHired(self)

	return false;

end;
Vehicle.getIsHired = HiredConsumesResources.getIsHired;
--- Fin Funcion Consumos Normales
